summaryrefslogtreecommitdiff
path: root/lib/git.source.sh
diff options
context:
space:
mode:
authorPaul Buetow <paul@buetow.org>2023-07-17 05:17:47 +0300
committerPaul Buetow <paul@buetow.org>2023-07-17 05:17:47 +0300
commit1ad2c43693f6a61e451c56beea40233db43e0da8 (patch)
tree36c79c1e16e9eb625039083bf323dadbdbc295fc /lib/git.source.sh
parent10bded3269bfbdb240f8afd210c80873fe34b12a (diff)
parent410d6e1e589c667502431b87d07ba5b6354a5bd8 (diff)
Merge branch 'develop'2.1.0
Diffstat (limited to 'lib/git.source.sh')
-rw-r--r--lib/git.source.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/lib/git.source.sh b/lib/git.source.sh
index 8048aad..c2b216a 100644
--- a/lib/git.source.sh
+++ b/lib/git.source.sh
@@ -30,7 +30,9 @@ git::_add_all () {
done
local -r format="$(basename "$content_dir")"
- git commit -a -m "$message for $format"
+ if ! git commit -a -m "$message for $format"; then
+ log INFO 'Nothing new to be added'
+ fi
cd "$pwd"
}